| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ProtocolParameter Class Reference
Connection manager proxies

The ProtocolParameter class represents a Telepathy protocol parameter. More...

`#include <TelepathyQt/ProtocolParameter>`

List of all members.

## Public Member Functions

- ProtocolParameter ()
- ProtocolParameter (const ProtocolParameter &other)
- ~ProtocolParameter ()
- bool isValid () const
- ProtocolParameter & operator= (const ProtocolParameter &other)
- bool operator== (const ProtocolParameter &other) const
- bool operator== (const QString &name) const
- bool operator< (const ProtocolParameter &other) const
- QString name () const
- QDBusSignature dbusSignature () const
- QVariant::Type type () const
- QVariant defaultValue () const
- bool isRequired () const
- bool isSecret () const
- bool isRequiredForRegistration () const

## Detailed Description

The ProtocolParameter class represents a Telepathy protocol parameter.

## Constructor & Destructor Documentation

Tp::ProtocolParameter::ProtocolParameter | ( |  | ) |

Tp::ProtocolParameter::ProtocolParameter | ( | const ProtocolParameter & | other | ) |

Tp::ProtocolParameter::~ProtocolParameter | ( |  | ) |

## Member Function Documentation

bool Tp::ProtocolParameter::isValid | ( |  | ) | const`[inline]`

ProtocolParameter & Tp::ProtocolParameter::operator= | ( | const ProtocolParameter & | other | ) |

bool Tp::ProtocolParameter::operator== | ( | const ProtocolParameter & | other | ) | const

bool Tp::ProtocolParameter::operator== | ( | const QString & | name | ) | const

bool Tp::ProtocolParameter::operator< | ( | const ProtocolParameter & | other | ) | const

QString Tp::ProtocolParameter::name | ( |  | ) | const

QDBusSignature Tp::ProtocolParameter::dbusSignature | ( |  | ) | const

QVariant::Type Tp::ProtocolParameter::type | ( |  | ) | const

QVariant Tp::ProtocolParameter::defaultValue | ( |  | ) | const

bool Tp::ProtocolParameter::isRequired | ( |  | ) | const

bool Tp::ProtocolParameter::isSecret | ( |  | ) | const

bool Tp::ProtocolParameter::isRequiredForRegistration | ( |  | ) | const